package de.joerg.diary.backend.exceptions;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt eine Exception, die auftreten kann, wenn eine Datei fuer einen zugreifenden Anwender ungueltig
 * ist.
 * 
 * @author Andreas Joerg
 */
public class FileForThisUserInvalidException extends Exception 
{
	private static final long serialVersionUID = 5927123895248119964L;
	
	/**
	 * Standard Constructor
	 */
	public FileForThisUserInvalidException()
	{
		super();
	}
	
	/**
	 * Constructor mit Uebergabe einer Nachricht.
	 * 
	 * @param message
	 */
	public FileForThisUserInvalidException(String message)
	{
		super(message);
	}
}
