package de.joerg.diary.frontend.general;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

import de.joerg.diary.backend.userManagement.UserAccountsManager;
import de.joerg.diary.frontend.sdBasicComponents.ViewController;
import de.joerg.diary.shared.IRessources;
import de.joerg.diary.shared.models.User;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * ViewController fuer einen LoginDialog
 * 
 * @author Andreas Joerg
 */
public class LoginDialogVC extends ViewController implements ActionListener
{
	private LoginDialogV view = null;
	
	/**
	 * Default Constructor
	 */
	public LoginDialogVC()
	{
		setView(new LoginDialogV(this));
		try 
		{
			view.init();
		} 
		catch (Exception ex) 
		{
			handleException(ex.getMessage(), getClass().getName(), "constructor", ex);
		}
	}
	
	//-----Getter/Setter---
	public void setView(LoginDialogV view)
	{
		this.view = view;
	}
	public LoginDialogV getView ()
	{
		return view;
	}
	//--------------------
	
	@Override
	/**
	 * Reagiert auf ActionEvents des Views
	 */
	public void actionPerformed(ActionEvent evt)
	{
		//Einloggen
		if(evt.getActionCommand().equals("0001"))
		{
			try 
			{
				String userName;
				userName = (String) view.getDataSet().getRowValueByName("userName");
				String userPW = (String) view.getDataSet().getRowValueByName("userPw");
			
				//Validierung userName
				if(userName.isEmpty())
				{
					handleException(IRessources.res.getString("0012"), getClass().getName(), 
							"actionPerformed");
					return;
				}
				
				//Validierung PW
				if(userPW.isEmpty())
				{
					handleException(IRessources.res.getString("0013"), getClass().getName(),
							"actionPerformed");
					return;
				}
				
				UserAccountsManager usrAccMgr = new UserAccountsManager();
				
				//Validierung Benutzerdaten
				if(usrAccMgr.getUser(new User(userName, String.valueOf(userPW.hashCode())))!=null)
				{
					view.dispose();
					JOptionPane.showMessageDialog(null, IRessources.res.getString("0014"),
							IRessources.res.getString("0003"),1);
					//Instanz eines MainWindow ViewController initialisieren, Uebergabe User
					new MainWindowVC(usrAccMgr.getUser(new User(userName,String.valueOf(userPW.hashCode()))));
				}
				else
				{
					handleException(IRessources.res.getString("0015"), getClass().getName(),
							"actionPerformed");
				}
			} 
			catch (Exception ex) 
			{
				handleException(ex.getMessage(), getClass().getName(),"actionPerformed", ex);
			}
		}
		//Neuer User
		else if(evt.getActionCommand().equals("0002"))
		{
			view.setVisible(false);
			new NewUserDialogVC(this);
		}
	}
}
