package de.joerg.diary.frontend.general;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import de.joerg.diary.frontend.sdBasicComponents.BackGroundPane;
import de.joerg.diary.frontend.sdBasicComponents.View;
import de.joerg.diary.shared.IRessources;
import de.joerg.diary.shared.dataSet.DataSet;
import de.joerg.diary.shared.dataSet.DataSetRowAlreadyExistsException;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * View fuer einen Dialog um einen neuen User zu erstellen
 * 
 * @author Andreas Joerg
 */
public class NewUserDialogV extends View 
{
	private static final long serialVersionUID = 4646404869213797663L;
	private NewUserDialogVC controller = null;
	private JTextField tfUserName = null;
	private JPasswordField tfUserPw = null;
	private JPasswordField tfUserPwRep = null;
	
	/**
	 * Default Constructor
	 */
	public NewUserDialogV()
	{
		
	}
	
	/**
	 * Erweiterter Konstruktor
	 * 
	 * @param controller
	 */
	public NewUserDialogV(NewUserDialogVC controller)
	{
		setController(controller);
	}
	
	//--------Getter/Setter----
	public void setController(NewUserDialogVC controller) 
	{
		this.controller = controller;
	}
	public NewUserDialogVC getController() 
	{
		return controller;
	}
	//-------------------------
	
	/**
	 * Initialisiert den View
	 */
	public void init()
	{
		this.setContentPane(new BackGroundPane(IRessources.BG_IMAGE));
		this.setSize(385, 350);
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		this.addWindowListener(controller);
		this.setLayout(null);
		this.setResizable(false);
		this.setLocation(300, 200);
		this.setTitle(IRessources.res.getString("0007"));
		
		Font font = new Font("Verdana", Font.BOLD, 14);

		JLabel lblUserName = new JLabel(IRessources.res.getString("0004"));
		lblUserName.setFont(font);
		lblUserName.setForeground(Color.WHITE);
		lblUserName.setBounds(10,28, 125, 20);
		
		tfUserName = new JTextField();
		tfUserName.setBounds(185, 25, 170, 26);

		JLabel lblUserPw = new JLabel(IRessources.res.getString("0005"));
		lblUserPw.setFont(font);
		lblUserPw.setForeground(Color.WHITE);
		lblUserPw.setBounds(10, 78, 125, 20);
		
		tfUserPw = new JPasswordField();
		tfUserPw.setBounds(185, 75, 170, 26);
		
		JLabel lblUserPwRep = new JLabel(IRessources.res.getString("0088"));
		lblUserPwRep.setFont(font);
		lblUserPwRep.setForeground(Color.WHITE);
		lblUserPwRep.setBounds(10, 128, 155, 20);
		
		tfUserPwRep = new JPasswordField();
		tfUserPwRep.setBounds(185, 125, 170, 26);
		
		JButton btnOK = new JButton(IRessources.res.getString("0089"));
		btnOK.setBounds(10, 200, 345, 24);
		btnOK.setActionCommand("0003");
		btnOK.addActionListener(controller);
		
		JButton btnCancel = new JButton(IRessources.res.getString("0090"));
		btnCancel.setBounds(10, 244, 345, 24);
		btnCancel.setActionCommand("0004");
		btnCancel.addActionListener(controller);
		
		this.add(tfUserPwRep);
		this.add(tfUserPw);
		this.add(tfUserName);
		this.add(btnOK);
		this.add(btnCancel);
		this.add(lblUserName);
		this.add(lblUserPw);
		this.add(lblUserPwRep);
		this.setVisible(true);
	}
	
	/**
	 * Liefert das DataSet des Views zurueck
	 * 
	 * @return dataSet
	 * @throws DataSetRowAlreadyExistsException 
	 */
	public DataSet getDataSet() throws DataSetRowAlreadyExistsException
	{
		DataSet dataSet = new DataSet();
		
		dataSet.addRow("userName", tfUserName.getText());
		dataSet.addRow("userPw", new String(tfUserPw.getPassword()));
		dataSet.addRow("userPwRep", new String(tfUserPwRep.getPassword()));
		
		return dataSet;
	}
}
