package de.joerg.diary.frontend.general;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;

import de.joerg.diary.frontend.sdBasicComponents.JPanelWithDataSet;
import de.joerg.diary.shared.IRessources;
import de.joerg.diary.shared.dataSet.DataSet;
import de.joerg.diary.shared.dataSet.DataSetRowAlreadyExistsException;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Panel um Speicherpfad zu aendern
 * 
 * @author Andreas Joerg
 */
public class SavePathPnl extends JPanelWithDataSet
{
	private static final long serialVersionUID = -1396672529028451853L;
	private OptionsVC controller = null;
	private JTextField tfSavePath = null;
	
	/**
	 * Erweiterter Konstruktor
	 * 
	 * @param controller
	 * @param savePath
	 */
	public SavePathPnl(OptionsVC controller, String savePath)
	{
		setController(controller);
		init(savePath);
	}

	//---------Getter/Setter----
	public void setController(OptionsVC controller) 
	{
		this.controller = controller;
	}
	public OptionsVC getController() 
	{
		return controller;
	}
	//--------------------------
	
	/**
	 * Initialisiert den View
	 */
	public void init(String savePath)
	{
		this.setOpaque(false);
		this.setLayout(null);
		
		JLabel lblSavePath = new JLabel(IRessources.res.getString("0109"));
		lblSavePath.setFont(new Font("Verdana", Font.BOLD, 14));
		lblSavePath.setForeground(Color.WHITE);
		lblSavePath.setBounds(150, 113, 120, 20);
		
		tfSavePath = new JTextField(savePath);
		tfSavePath.setBounds(290, 110, 260, 26);
		
		//Mantis 84 Dialog zur Verzeichniswahl
		JButton btnShowOpenDialog = new JButton(IRessources.res.getString("0110"));
		btnShowOpenDialog.setToolTipText(IRessources.res.getString("0111"));
		btnShowOpenDialog.setBounds(560, 110, 20, 26);
		btnShowOpenDialog.setActionCommand("0029");
		btnShowOpenDialog.addActionListener(controller);
		
		JButton btnChange = new JButton(IRessources.res.getString("0112"));
		btnChange.setActionCommand("0011");
		btnChange.setBounds(150, 166, 400, 26);
		btnChange.addActionListener(controller);
		
		this.add(btnChange);
		this.add(tfSavePath);
		this.add(btnShowOpenDialog);
		this.add(lblSavePath);
	}

	@Override
	/**
	 * Gibt das DataSet zurueck
	 */
	public DataSet getDataSet() throws DataSetRowAlreadyExistsException 
	{
		DataSet dataSet = new DataSet();
		dataSet.addRow("savePath", tfSavePath.getText());
		return dataSet;
	}

	@Override
	/**
	 * Setzt das DataSet
	 */
	public void setDataSet(DataSet dataSet) 
	{
		tfSavePath.setText((String) dataSet.getRowValueByName("savePath"));
	}
}
