package de.joerg.diary.frontend.general;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import de.joerg.diary.frontend.sdBasicComponents.BackGroundPane;
import de.joerg.diary.frontend.sdBasicComponents.View;
import de.joerg.diary.shared.IRessources;
import de.joerg.diary.shared.dataSet.DataSet;
import de.joerg.diary.shared.dataSet.DataSetRowAlreadyExistsException;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt die Darstellung eines EntsperrDialogs (User auth).
 * 
 * @author Andreas Joerg
 */
public class UnlockDialogV extends View
{
	private static final long serialVersionUID = -2242247217619511216L;
	private UnlockDialogVC controller = null;
	private JTextField tfUserName = null;
	private JPasswordField tfUserPw = null;
	
	/**
	 * Konstruktor mit Uebergabe des Controllers.
	 * 
	 * @param controller
	 */
	public UnlockDialogV(UnlockDialogVC controller)
	{
		setController(controller);
		init();
	}

	//--------GETTER / SETTER-----------------------------
	public void setController(UnlockDialogVC controller) 
	{
		this.controller = controller;
	}
	public UnlockDialogVC getController()
	{
		return controller;
	}
	//-----------------------------------------------------
	
	/**
	 * Initialisiert den View.
	 */
	private void init()
	{
		this.setContentPane(new BackGroundPane(IRessources.BG_IMAGE));
		this.setSize(360, 200);
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		this.setTitle(IRessources.res.getString("0116"));
		this.setLayout(null);
		this.setResizable(false);
		this.setLocation(100, 100);
		this.addWindowListener(controller);
		
		JLabel lblUserName = new JLabel(IRessources.res.getString("0004"));
		lblUserName.setFont(new Font("Verdana", Font.BOLD, 14));
		lblUserName.setForeground(Color.WHITE);
		lblUserName.setBounds(10,18, 125, 20);
		
		tfUserName = new JTextField();
		tfUserName.setBounds(155, 15, 170, 26);
		
		JLabel lblUserPw = new JLabel(IRessources.res.getString("0005"));
		lblUserPw.setFont(new Font("Verdana", Font.BOLD, 14));
		lblUserPw.setForeground(Color.WHITE);
		lblUserPw.setBounds(10, 63, 125, 20);
		
		tfUserPw = new JPasswordField();
		tfUserPw.setBounds(155, 60, 170, 26);
		
		JButton btnUnlock = new JButton(IRessources.res.getString("0116"));
		btnUnlock.setBounds(10, 116, 315, 26);
		btnUnlock.setActionCommand("0025");
		btnUnlock.addActionListener(controller);
		
		this.add(lblUserName);
		this.add(tfUserName);
		this.add(lblUserPw);
		this.add(tfUserPw);
		this.add(btnUnlock);
		
		this.setVisible(true);
	}
	
	/**
	 * Gibt das aktuelle DataSet des Views zurueck.
	 * 
	 * @return dataSet
	 * @throws DataSetRowAlreadyExistsException
	 */
	public DataSet getDataSet() throws DataSetRowAlreadyExistsException
	{
		DataSet dataSet = new DataSet();
		
		dataSet.addRow("userName", tfUserName.getText());
		dataSet.addRow("userPw", new String(tfUserPw.getPassword()));
		
		return dataSet;
	}
}