package de.joerg.diary.frontend.general;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;

import de.joerg.diary.frontend.sdBasicComponents.JPanelWithDataSet;
import de.joerg.diary.shared.IRessources;
import de.joerg.diary.shared.dataSet.DataSet;
import de.joerg.diary.shared.dataSet.DataSetRowAlreadyExistsException;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Panel um die Daten eines Users zu aendern
 * 
 * @author Andreas Joerg
 */
public class UserAccountPnl extends JPanelWithDataSet
{
	private static final long serialVersionUID = -1775394034801132181L;
	private OptionsVC controller = null;
	private Font font = new Font("Verdana", Font.BOLD, 14);
	private JTextField tfUserName = null;
	private JPasswordField tfOldPw = null;
	private JPasswordField tfNewPw = null;
	private JPasswordField tfNewPwRep = null;

	/**
	 * Erweiterter Konstruktor
	 * 
	 * @param controller
	 */
	public UserAccountPnl(OptionsVC controller)
	{
		setController(controller);
		init();
	}
	
	//---------Getter/Setter----
	public void setController(OptionsVC controller) 
	{
		this.controller = controller;
	}
	public OptionsVC getController()
	{
		return controller;
	}
	//--------------------------
	
	/**
	 * Initialisiert das Panel
	 */
	public void init()
	{
		this.setOpaque(false);
		this.setLayout(null);
		
		JLabel lblUserName = new JLabel(IRessources.res.getString("0004"));
		lblUserName.setFont(font);
		lblUserName.setForeground(Color.WHITE);
		lblUserName.setBounds(80, 53, 150, 20);
		
		tfUserName = new JTextField();
		tfUserName.setBounds(340, 50, 250, 26);
		tfUserName.setEditable(false);
		
		JLabel lblOldPw = new JLabel(IRessources.res.getString("0113"));
		lblOldPw.setFont(font);
		lblOldPw.setForeground(Color.WHITE);
		lblOldPw.setBounds(80, 93, 150, 20);
		
		tfOldPw = new JPasswordField();
		tfOldPw.setBounds(340, 90, 250, 26);
		
		JLabel lblNewPw = new JLabel(IRessources.res.getString("0114"));
		lblNewPw.setFont(font);
		lblNewPw.setForeground(Color.WHITE);
		lblNewPw.setBounds(80, 133, 150, 20);
		
		tfNewPw = new JPasswordField();
		tfNewPw.setBounds(340, 130, 250, 26);
		
		JLabel lblNewPwRep = new JLabel(IRessources.res.getString("0115"));
		lblNewPwRep.setFont(font);
		lblNewPwRep.setForeground(Color.WHITE);
		lblNewPwRep.setBounds(80, 173, 200, 20);
		
		tfNewPwRep = new JPasswordField();
		tfNewPwRep.setBounds(340, 170, 250, 26);
		
		JButton btnChangePW = new JButton(IRessources.res.getString("0104"));
		btnChangePW.setBounds(80, 220, 510, 26);
		btnChangePW.setActionCommand("0012");
		btnChangePW.addActionListener(getController());
		
		JButton btnDelUser = new JButton(IRessources.res.getString("0107"));
		btnDelUser.setBounds(80,261,510,26);
		btnDelUser.setActionCommand("0013");
		btnDelUser.addActionListener(getController());
		
		this.add(btnDelUser);
		this.add(btnChangePW);
		this.add(tfNewPw);
		this.add(tfNewPwRep);
		this.add(tfOldPw);
		this.add(tfUserName);
		this.add(lblNewPwRep);
		this.add(lblNewPw);
		this.add(lblOldPw);
		this.add(lblUserName);
	}

	@Override
	/**
	 * Gibt das DataSet zurueck
	 * 
	 * @throws DataSetRowAlreadyExistsException
	 */
	public DataSet getDataSet() throws DataSetRowAlreadyExistsException 
	{
		DataSet dataSet = new DataSet();
		
		dataSet.addRow("userName", tfUserName.getText());
		dataSet.addRow("oldPw", new String(tfOldPw.getPassword()));
		dataSet.addRow("newPw", new String(tfNewPw.getPassword()));
		dataSet.addRow("newPwRep", new String(tfNewPwRep.getPassword()));
		
		return dataSet; 
	}

	@Override
	/**
	 * Setzt das DataSet
	 */
	public void setDataSet(DataSet dataSet) 
	{
		tfUserName.setText((String) dataSet.getRowValueByName("userName"));
		tfOldPw.setText((String) dataSet.getRowValueByName("oldPw"));
		tfNewPw.setText((String) dataSet.getRowValueByName("newPw"));
		tfNewPwRep.setText((String) dataSet.getRowValueByName("newPwRep"));
	}
}
