package de.joerg.diary.frontend.sdBasicComponents;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.MediaTracker;
import java.awt.Toolkit;

import javax.swing.JPanel;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Von JPanel abgeleitete Klasse. Setzt ein Hintergrundbild
 * 
 * @author Andreas Joerg
 */
public class BackGroundPane extends JPanel
{
	private static final long serialVersionUID = 3540101918368197784L;
	private Image img = null;
	
	/**
	 * Default Constructor
	 */
	public BackGroundPane()
	{
		
	}
	
	/**
	 * Constructor mit Uerbergabe Pfad zum Bild
	 */
	public BackGroundPane(String image)
	{
		//Setzt das Hintergrundbild
		MediaTracker mt = new MediaTracker(this);
		img = Toolkit.getDefaultToolkit().getImage(getClass().getResource(image));
		mt.addImage(img, 0);
		try 
		{
			mt.waitForAll();
		} 
		catch (InterruptedException e) 
		{
			e.printStackTrace();
		}

	}
	
	public Image getImg() 
	{
		return img;
	}
	public void setImg(Image img) 
	{
		this.img = img;
	}

	@Override
	/**
	 * Ueberschreibt die Methode paintComponent.
	 * Zeichnet das Hintergrundbild ueber das ganze Panel
	 */
	protected void paintComponent(Graphics g) 
	{
		super.paintComponent(g);
		g.drawImage(img,0,0,this.getWidth(),this.getHeight(),this);
	}
}
