package de.joerg.diary.frontend.sdBasicComponents;

import javax.swing.JPanel;

import de.joerg.diary.shared.dataSet.DataSet;
import de.joerg.diary.shared.dataSet.DataSetRowAlreadyExistsException;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Von JPanel abgeleitete Klasse.
 * Definiert die abstrakten Methoden getDataSet() und setDataSet()
 * 
 * @author Andreas Joerg
 */
public abstract class JPanelWithDataSet extends JPanel
{
	private static final long serialVersionUID = 3170779809406790592L;
	
	/**
	 * Gibt das DataSet des Views zurueck
	 * 
	 * @return dataSet
	 * @throws DataSetRowAlreadyExistsException 
	 */
	public abstract DataSet getDataSet() throws DataSetRowAlreadyExistsException;
	
	/**
	 * Setzt das DataSet des Views
	 * 
	 * @param dataSet
	 * @throws Exception 
	 */
	public abstract void setDataSet(DataSet dataSet) throws Exception;
}
