package de.joerg.diary.frontend.sdBasicComponents;

import de.joerg.diary.frontend.general.ExceptionDialogVC;
import de.joerg.diary.shared.DiaryLogger;
import de.joerg.diary.shared.IRessources;
import de.joerg.diary.shared.dataSet.DataSetRowAlreadyExistsException;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Klasse zur Beschreibung eines ViewControllers
 * 
 * @author Andreas Joerg
 */
public class ViewController 
{
	/**
	 * Handelt Exceptions ohne Uebergabe einer Exception.
	 * Oeffnet einen Fehlerdialog und loggt den Fehler.
	 * 
	 * @param msg
	 * @param classPath
	 */
	public void handleException(String msg, String classPath, String throwMethod)
	{
		try 
		{
			new ExceptionDialogVC(msg,classPath);
		}
		catch (DataSetRowAlreadyExistsException ex)
		{
			DiaryLogger errEx = new DiaryLogger(ex);
			errEx.start();
		}
		
		DiaryLogger errMsg = new DiaryLogger(msg+IRessources.res.getString("0119") + classPath + " <" +
				throwMethod + ">");
		errMsg.start();
	}
	
	/**
	 * Handelt Exceptions.
	 * Oeffnet einen Fehlerdialog und loggt den Fehler
	 * 
	 * @param msg
	 * @param classPath
	 * @param ex
	 */
	public void handleException(String msg, String classPath, String throwMethod, Exception ex)
	{
		if(msg==null||msg.isEmpty())
		{
			//Fehler
			msg = IRessources.res.getString("0120");
		}
		
		try 
		{
			new ExceptionDialogVC(msg,classPath,ex);
		} 
		catch (DataSetRowAlreadyExistsException e)
		{
			DiaryLogger errEx = new DiaryLogger(e);
			errEx.start();
		}
		
		DiaryLogger errMsg = new DiaryLogger(msg+IRessources.res.getString("0119") + classPath + " <" + 
				throwMethod + ">");
		errMsg.start();
		
		DiaryLogger errEx = new DiaryLogger(ex);
		errEx.start();
	}
}
