package de.joerg.diary.frontend.sdCalendar;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt ein CalendarClickEvent
 * 
 * @author Andreas Joerg
 */
public class SDCalendarClickEvent 
{
	private boolean multi = false;
	private String date = null;
	
	/**
	 * Konstruktor mit Uerbergabe isMulti und date.
	 * isMulti = Gibt es mehrere Eintraege an dem Tag
	 * date = Datum im Format dd.MM.yyyy
	 * 
	 * @param isMulti
	 * @param date
	 */
	public SDCalendarClickEvent(boolean isMulti, String date)
	{
		setMulti(isMulti);
		setDate(date);
	}
	
	/**
	 * Setzt das Datum (Format dd.MM.yyyy)
	 * 
	 * @param date
	 */
	public void setDate(String date) 
	{
		this.date = date;
	}
	/**
	 * @return Datum (Format dd.MM.yyyy)
	 */
	public String getDate()
	{
		return date;
	}

	/**
	 * Seztz ob an dem Tag mehrere Eintraege vorhanden sind.
	 * 
	 * @param multi
	 */
	public void setMulti(boolean multi) 
	{
		this.multi = multi;
	}
	/**
	 * @return true=Mehrere Eintraege an dem Tag, false=Nur ein Eintrag
	 */
	public boolean isMulti() 
	{
		return multi;
	}
}
