package de.joerg.diary.frontend.sdCalendar;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt ein Event dass durch einen Rechtsklick auf ein Datumsfeld im Kalendar ausgeloest wurden.
 * Leitet sich von SDCalendarClickEvent ab und implementiert noch die x und y Koordinaten des Datumsfeldes.
 * 
 * @author Andreas Joerg
 */
public class SDCalendarRightClickEvent extends SDCalendarClickEvent
{
	private int x = -1;
	private int y = -1;
	
	/**
	 * Konstruktor mit Uerbergabe isMulti und date.
	 * isMulti = Gibt es mehrere Eintraege an dem Tag
	 * date = Datum im Format dd.MM.yyyy
	 * x,y = Koordinaten des angeklickten Datumsfeld
	 * 
	 * @param isMulti
	 * @param date
	 * @param x
	 * @param y
	 */
	public SDCalendarRightClickEvent(boolean isMulti, String date, int x, int y)
	{
		super(isMulti, date);
		setX(x);
		setY(y);
	}

	//-------GETTER/SETTER---------------------
	public int getX() 
	{
		return x;
	}
	public void setX(int x) 
	{
		this.x = x;
	}

	public int getY() 
	{
		return y;
	}
	public void setY(int y) 
	{
		this.y = y;
	}
	//-----------------------------------------
}
