package de.joerg.diary.frontend.sdCalendar;

import javax.swing.JLabel;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Von JLabel abgeleitete Klasse fuer ein Datumslabel
 * 
 * @author Andreas Joerg
 */
public class SDLabel extends JLabel
{
	private static final long serialVersionUID = 7120283970801066147L;
	private boolean isMulti = false;
	
	/**
	 * Konstruktor
	 */
	public SDLabel()
	{
		super();
		//nicht transparent
		setOpaque(true);
	}
	
	/**
	 * Konstruktor mit Uebergabe des Textes des Labels
	 * 
	 * @param text
	 */
	public SDLabel(String text) 
	{
		super(text);
		//nicht transparent
		setOpaque(true);
	}

	/**
	 * Setzt ob zu dem Label mehrere zugehoerige Eintraege vorhanden sind oder nicht.
	 * 
	 * @param isMulti
	 */
	public void setMulti(boolean isMulti) 
	{
		this.isMulti = isMulti;
	}
	/**
	 * @return Gibt es zu dem Label mehrere zugehoerige Eintraege?
	 */
	public boolean isMulti()
	{
		return isMulti;
	}
}
