package de.joerg.diary.frontend.sdCalendar;

import java.awt.Component;
import java.awt.Graphics;
import javax.swing.border.EtchedBorder;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
* Von EtchedBorder abgeleitete Klasse. Zeichnet einen EtchedBoarder,
* allerdings nur unten als Trennstrich.
* 
* @author Andreas Joerg
*/
public class SDUnderlinedEtchedBorder extends EtchedBorder
{
     private static final long serialVersionUID = 1L;
 
     @Override
     public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)
     { 
       g.translate(x, y);
 
       g.setColor(etchType == LOWERED? getShadowColor(c) : getHighlightColor(c));
       g.drawLine(0, height-2, width, height-2);
 
       g.setColor(etchType == LOWERED? getHighlightColor(c) : getShadowColor(c));
       g.drawLine(0, height-1, width, height-1);
 
       g.translate(-x, -y);
     }
 
}