package de.joerg.diary.frontend.sdUndoManager;

import javax.swing.JTextArea;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Von JTextArea abgeleitete Klasse. Registriert sich automatisch bei SDUndoManager.
 * 
 * @author Andreas Joerg
 */
public class SDTextArea extends JTextArea 
{
	private static final long serialVersionUID = -1978238769489950053L;

	/**
	 * Konstruktor mit Uebergabe der Komponentenbezeichnung.
	 * Registriert Komponente bei UndoManager.
	 * 
	 * @param componentName
	 */
	public SDTextArea(String componentName)
	{
		super();
		this.getDocument().addDocumentListener(SDUndoManager.getInstance());
		SDUndoManager.getInstance().addComponent(componentName, this);
	}
}
