package de.joerg.diary.frontend.sdUndoManager;

import javax.swing.JComponent;
import javax.swing.JTextArea;
import javax.swing.JTextField;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Klasse die eine (Text)Komponente beschreibt, dessen Aenderungen rueckgaengig gemacht werden koennen.
 * 
 * @author Andreas Joerg
 */
public class SDUndoAbleComponent 
{
	private String componentName = null;
	private JComponent component = null;
	private String componentText = null;
	
	/**
	 * Konstruktor mit Uebergabe der Komponenten Bezeichnung und der Komponente selbst.
	 * 
	 * @param componentName
	 * @param component
	 */
	public SDUndoAbleComponent(String componentName, JComponent component)
	{
		setComponentName(componentName);
		setComponent(component);
		if(getComponent() instanceof JTextField)
		{
			setComponentText(((JTextField)getComponent()).getText());
		}
		else if(getComponent() instanceof JTextArea)
		{
			setComponentText(((JTextArea)getComponent()).getText());
		}
	}

	public void setComponentName(String componentName)
	{
		this.componentName = componentName;
	}
	public String getComponentName() 
	{
		return componentName;
	}

	public void setComponent(JComponent component) 
	{
		this.component = component;
	}
	public JComponent getComponent() 
	{
		return component;
	}

	public void setComponentText(String componentText) 
	{
		this.componentText = componentText;
	}
	public String getComponentText()
	{
		return componentText;
	}
}