package de.joerg.diary.frontend.sdUndoManager;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt eine rueckgaengig machbare Aktion fuer eine Aenderung an einer Bildbeschreibung
 * 
 * @author Andreas Joerg
 */
public class UndoActionForChangeImgDesc 
{
	private String oldText = null;
	private int evtNr = -1;
	private int imgNr = -1;
	
	/**
	 * Constructor
	 * 
	 * @param oldText -> Bildbeschreibung vor Aenderung
	 * @param evtNr -> Nummer des Untereintrags, wenn kein Untereintrag -> -1
	 * @param imgNr -> Nummer des Bilds
	 */
	public UndoActionForChangeImgDesc(String oldText, int evtNr, int imgNr)
	{
		setOldText(oldText);
		setEvtNr(evtNr);
		setImgNr(imgNr);
	}
	
	public String getOldText() 
	{
		return oldText;
	}
	public void setOldText(String oldText) 
	{
		this.oldText = oldText;
	}
	public int getEvtNr() 
	{
		return evtNr;
	}
	public void setEvtNr(int evtNr) 
	{
		this.evtNr = evtNr;
	}
	public int getImgNr() 
	{
		return imgNr;
	}
	public void setImgNr(int imgNr)
	{
		this.imgNr = imgNr;
	}
}
