package de.joerg.diary.frontend.sdUndoManager;

import de.joerg.diary.shared.models.DiaryEvent;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt eine rueckgaengig machbare Aktion fuer eine Speicherung eines Untereintrags.
 * 
 * @author Andreas Joerg
 */
public class UndoActionForMultiEntrySave
{
	private DiaryEvent addedEntry = null;
	
	/**
	 * Constructor mit Uebergabe des gespeicherten Eintrags.
	 * 
	 * @param addedEntry
	 */
	public UndoActionForMultiEntrySave(DiaryEvent addedEntry)
	{
		setAddedEntry(addedEntry);
	}

	public void setAddedEntry(DiaryEvent addedEntry) 
	{
		this.addedEntry = addedEntry;
	}
	public DiaryEvent getAddedEntry()
	{
		return addedEntry;
	}
}
