package de.joerg.diary.frontend.sdUndoManager;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt eine rueckgaengig machbare Aktion fuer eine Aenderung des Textes einer Komponente.
 * 
 * @author Andreas Joerg
 */
public class UndoActionForTextChange 
{
	private String oldText = null;
	private String component = null;
	
	/**
	 * Kontstruktor mit Uebergabe des alten Textes und der Bezeichnung der Komponente.
	 * 
	 * @param oldText
	 * @param component
	 */
	public UndoActionForTextChange(String oldText, String component)
	{
		setOldText(oldText);
		setComponent(component);
	}

	public void setOldText(String oldText) 
	{
		this.oldText = oldText;
	}
	public String getOldText() 
	{
		return oldText;
	}

	public void setComponent(String component)
	{
		this.component = component;
	}
	public String getComponent() 
	{
		return component;
	}
}
