package de.joerg.diary.shared;

import java.util.ResourceBundle;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Interface, das Konstanten und ResourceBundles zur Verfuegung stellt.
 * 
 * @author Andreas Joerg
 */
public interface IRessources
{
	//ResourceBundle fuer Nachrichten, Fehlermeldungen, Beschriftungen etc.
	public static final ResourceBundle res = ResourceBundle.getBundle("de.joerg.diary.shared.ressources");
	
	//ResourceBundle fuer Fehlermeldungen des DataSets
	public static final ResourceBundle resDataSet = ResourceBundle.getBundle("de.joerg.diary.shared.resDataSet");
	
	//ResourceBundle fuer Fehlermeldungen, Texte etc. der Drucker Hilfsklasse
	public static final ResourceBundle resPrint = ResourceBundle.getBundle("de.joerg.diary.shared.resPrint");
	
	//ResourceBundle fuer Fehlermeldungen des UndoManagers
	public static final ResourceBundle resUndoMgr = ResourceBundle.getBundle("de.joerg.diary.shared.resUndoMgr");
	
	//ResourceBundle fuer Fehlermeldungen, Beschriftungen etc. der SDCalendar Komponente
	public static final ResourceBundle resCal = ResourceBundle.getBundle("de.joerg.diary.shared.resCal");
	
	//Standard Speicherpfad (bzw. Ordner im Programmvz)
	public static final String SAVE_PATH = "\\EventFiles";
	
	//Datei-Endung fuer Eintraege
	public static final String FILE_EXT = ".def";
	
	//Datei um Eintraege mit Untereintraegen zu markieren
	public static final String FILE_PARENT_ENTRYS = "defsdewscfg.def";
	
	//UserDaten Datei
	public static final String FILE_USERDATA = "defuaad.def";
	
	//Datei Endung fuer Backup Files
	public static final String BKP_FILE_EXT = ".bkp";
	
	//Text der im INFO Dialog ausgegeben wird
	public static final String INFO = "Simple Diary\nVersion: 2.0.0\nCopyright \u00A9 Andreas " +
	"J\u00F6rg 2010\n\nKontakt: simpleDiary\u0040freenet.de\n ";
	
	//Empty-String
	public static final String EMPTY = "";
	
	//DateFormat fuer Anzeigen
	public static final String DATE_FORMAT = "dd.MM.yyyy";
	
	//DateFormat fuer Dateiname
	public static final String DATE_FORMAT2 = "dd_MM_yyyy";
	
	//Konstante fuer KZ, dass kein Bild ausgewaehlt wurde
	public static final String NO_IMG = "keine Auswahl";
	
	//Pfad zum Standard Hintergrundbild
	public static final String BG_IMAGE = "/de/joerg/diary/frontend/images/bg.JPG";
	
	//Pfad zum Standard Icon
	public static final String ICO_IMAGE = "/de/joerg/diary/frontend/images/icon.png";
	
	//Neu
	public static final String NEW_IMG = "/de/joerg/diary/frontend/images/filenew.png";
	
	//Speichern
	public static final String SAVE_IMG = "/de/joerg/diary/frontend/images/filesave.png";
	
	//Drucken
	public static final String PRINT_IMG = "/de/joerg/diary/frontend/images/print.png";
	
	//Beenden
	public static final String EXIT_IMG = "/de/joerg/diary/frontend/images/exit.png";
	
	//Undo
	public static final String UNDO_IMG = "/de/joerg/diary/frontend/images/undo.png";
	
	//Cut
	public static final String CUT_IMG = "/de/joerg/diary/frontend/images/cut.png";
	
	//Copy
	public static final String COPY_IMG = "/de/joerg/diary/frontend/images/copy.png";
	
	//Paste
	public static final String PASTE_IMG = "/de/joerg/diary/frontend/images/paste.png";
	
	//Aendern
	public static final String EDIT_IMG = "/de/joerg/diary/frontend/images/edit.png";
	
	//Loeschen
	public static final String DEL_IMG = "/de/joerg/diary/frontend/images/delete.png";
	
	//Kalendar anzeigen
	public static final String SHOW_CAL_IMG = "/de/joerg/diary/frontend/images/view_calendar.png";
	
	//Tree anzeigen
	public static final String SHOW_TREE_IMG = "/de/joerg/diary/frontend/images/view_tree.png";
	
	//Optionen
	public static final String OPTIONS_IMG = "/de/joerg/diary/frontend/images/options.png";
	
	//Hilfe
	public static final String HELP_IMG = "/de/joerg/diary/frontend/images/help.png";
	
	//Info
	public static final String INFO_IMG = "/de/joerg/diary/frontend/images/info.png";
	
	//Reload
	public static final String RELOAD_IMG = "/de/joerg/diary/frontend/images/reload.png";
	
	//Anwendung sperren
	public static final String LOCK_IMG = "/de/joerg/diary/frontend/images/lock.png";
	
	//Backup erstellen
	public static final String BKP_C_IMG = "/de/joerg/diary/frontend/images/backup.png";
	
	//Backup wiederherstellen
	public static final String BKP_R_IMG = "/de/joerg/diary/frontend/images/backupRedo.png";
	
	//Suchen
	public static final String FIND_IMG = "/de/joerg/diary/frontend/images/find.png";
}
