package de.joerg.diary.shared;

import java.text.SimpleDateFormat;
import java.util.Date;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Stellt Services fuer Backend und Frontend zu Verfuegung.
 * 
 * @author Andreas Joerg
 */
public class SDSharedServices
{
	/**
	 * Gibt den Filename eines Eintrags anhand Userid + Datum zurueck.
	 * Datum kann sowohl im Format dd.MM.yyyy als auch dd_MM_yyyy sein.
	 * 
	 * @param userID
	 * @param date
	 * @return filename
	 */
	public static String getFileName(int userID, String date)
	{
		return userID+"_"+date.replace('.', '_')+IRessources.FILE_EXT;
	}
	
	/**
	 * Gibt den Filename eines Eintrags anhand Userid + Datum zurueck.
	 * 
	 * @param userID
	 * @param date
	 * @return filename
	 */
	public static String getFileName(int userID, Date date)
	{
		return userID+"_"+new SimpleDateFormat(IRessources.DATE_FORMAT2).format(date)+IRessources.FILE_EXT;
	}
}
