package de.joerg.diary.shared.dataSet;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt einen einzelnen Wert (DataSetRow) eines DataSets.
 * 
 * @author Andreas Joerg
 */
public class DataSetRow 
{
	private String attributeName = null;
	private Object attribute = null;
	
	/**
	 * Default Constructor
	 */
	public DataSetRow()
	{
	}
	
	/**
	 * Konstruktor mit Uebergabe der Wertbezeichnung und des Attributs.
	 * 
	 * @param attributeName
	 * @param attribute
	 */
	public DataSetRow(String attributeName, Object attribute)
	{
		setAttributeName(attributeName);
		setAttribute(attribute);
	}

	//------------GETTER/SETTER-------------------------
	public void setAttribute(Object attribute) 
	{
		this.attribute = attribute;
	}
	public Object getAttribute() 
	{
		return attribute;
	}

	public void setAttributeName(String attributeName) 
	{
		this.attributeName = attributeName;
	}
	public String getAttributeName() 
	{
		return attributeName;
	}
	//---------------------------------------------------
}
