package de.joerg.diary.shared.dataSet;

import de.joerg.diary.shared.IRessources;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt eine Exception, die geworfen wird, wenn ein Wert im DataSet bereits vorhanden ist.
 * 
 * @author Andreas Joerg
 */
public class DataSetRowAlreadyExistsException extends Exception
{
	private static final long serialVersionUID = 5752973732931378623L;

	/**
	 * Konstruktor mit Uebergabe des Wertbezeichners.
	 * 
	 * @param rowName
	 */
	public DataSetRowAlreadyExistsException(String rowName)
	{
		super(IRessources.resDataSet.getString("001")+rowName+IRessources.resDataSet.getString("004"));
	}
}
