package de.joerg.diary.shared.models;

/*
 *  SimpleDiary Version 2.0.0
    Copyright (C) 2010  Andreas Joerg (E-Mail: simpleDiary@freenet.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Beschreibt ein Bild.
 */
public class SDPicture 
{
	private String pictureData = null;
	private String pictureDesc = null;
	
	/**
	 * default constructor
	 */
	public SDPicture()
	{
		
	}
	
	/**
	 * extended constructor
	 * 
	 * @param pictureData -> BufferedImage als String
	 */
	public SDPicture(String pictureData)
	{
		setPictureData(pictureData);
	}

	//-------------GETTER/SETTER---------------------------------
	public String getPictureData() 
	{
		return pictureData;
	}

	public void setPictureData(String pictureData) 
	{
		this.pictureData = pictureData;
	}
	public String getPictureDesc() 
	{
		return pictureDesc;
	}
	public void setPictureDesc(String pictureDesc) 
	{
		this.pictureDesc = pictureDesc;
	}
	//------------------------------------------------------------

	@Override
	public boolean equals(Object obj) 
	{
		if(obj==null)
		{
			return false;
		}
		if(! (obj instanceof SDPicture))
		{
			return false;
		}
		if(this==obj)
		{
			return true;
		}
		
		SDPicture img = (SDPicture)obj;
		
		if(pictureData == null)
		{
			if(img.getPictureData()!=null)
			{
				return false;
			}
		}
		else
		{
			for(int x=0;x<pictureData.length();x++)
			{
				if(pictureData.charAt(x)!=img.getPictureData().charAt(x))
				{
					return false;
				}
			}
		}
		
		if(pictureDesc == null)
		{
			if(img.getPictureDesc()!=null)
			{
				return false;
			}
		}
		else
		{
			if(pictureDesc.equals(img.getPictureDesc())==false)
			{
				return false;
			}
		}
		return true;
	}
}
